Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Skini Class Reference

STK SKINI parsing class. More...

`#include <Skini.h>`

Inheritance diagram for stk::Skini:

List of all members.

## Classes
struct | Message
| A message structure to store and pass parsed SKINI messages. More...
## Public Member Functions
| Skini ()
| Default constructor.
| ~Skini ()
| Class destructor.
bool | setFile (std::string fileName)
| Set a SKINI formatted file for reading.
long | nextMessage (Skini::Message &message)
| Parse the next file message (if a file is loaded) and return the message type.
long | parseString (std::string &line, Skini::Message &message)
| Attempt to parse the given string and returning the message type.
## Static Public Member Functions
static std::string | whatsThisType (long type)
| Return the SKINI type string for the given type value.
static std::string | whatsThisController (long number)
| Return the SKINI controller string for the given controller number.

## Detailed Description

STK SKINI parsing class.

This class parses SKINI formatted text messages. It can be used to parse individual messages or it can be passed an entire file. The SKINI specification is Perry's and his alone, but it's all text so it shouldn't be too hard to figure out.

SKINI (Synthesis toolKit Instrument Network Interface) is like MIDI, but allows for floating-point control changes, note numbers, etc. The following example causes a sharp middle C to be played with a velocity of 111.132:

        noteOn  60.01  111.132

See also:
  Synthesis toolKit Instrument Network Interface (SKINI)

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Member Function Documentation

bool stk::Skini::setFile | ( | std::string | fileName | ) |

Set a SKINI formatted file for reading.

If the file is successfully opened, this function returns true. Otherwise, false is returned.

long stk::Skini::nextMessage | ( | Skini::Message & | message | ) |

Parse the next file message (if a file is loaded) and return the message type.

This function skips over lines in a file which cannot be parsed. A type value equal to zero in the referenced message structure (and the returned value) indicates the file end is reached or no file is open for reading.

long stk::Skini::parseString | ( | std::string & | line,
|  | Skini::Message & | message |
| ) |  |  |

Attempt to parse the given string and returning the message type.

A type value equal to zero in the referenced message structure indicates an invalid message.

The documentation for this class was generated from the following file:

- Skini.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.